summaryrefslogtreecommitdiff
path: root/buetow.org.sh
diff options
context:
space:
mode:
authorPaul Buetow <git@mx.buetow.org>2021-05-19 21:59:38 +0100
committerPaul Buetow <git@mx.buetow.org>2021-05-21 05:11:05 +0100
commit6bdd5afc634199926df3467baf512f34688df55d (patch)
treea02e0eaced6a262b7e2be14c0c98b0aa9f932af9 /buetow.org.sh
parent0cacde67b02b40e44a90c00c6db2c8815310b8e1 (diff)
better documentation
Diffstat (limited to 'buetow.org.sh')
-rwxr-xr-xbuetow.org.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/buetow.org.sh b/buetow.org.sh
index 1564fb9e..60113e10 100755
--- a/buetow.org.sh
+++ b/buetow.org.sh
@@ -14,7 +14,14 @@ readonly DATE
readonly SED
readonly GREP
-source buetow.org.conf
+set -e
+
+if [[ -n "$CONFIG_FILE_PATH" ]]; then
+ source "$CONFIG_FILE_PATH"
+else
+ source ./buetow.org.conf
+fi
+
source ./packages/assert.source.sh
source ./packages/git.source.sh
source ./packages/atomfeed.source.sh
@@ -24,8 +31,6 @@ source ./packages/html.source.sh
source ./packages/log.source.sh
source ./packages/md.source.sh
-set -e
-
help () {
cat <<HELPHERE
$0's possible arguments: